PHP does not feature MySQL support (which is pretty unusual). [Gelöst]

  • 0 x
    25 Beiträge
    0 Hilfreiche Beiträge
    24. 10. 2007, 21:18

    Hallo,
    ich bekomme folgende Fehlermeldung beim install-tool von Typo3 4.0.5
    Ich habe php5 installiert. Jedoch habe ich nach der Installation nicht die php.ini in /etc/php5/apache2/ gefunden. Es scheint irgendwas zu fehlen.

    Der SQL-Server scheint zu laufen. Ich habe den Server auch rebootet. Ich kann auf phpmyadmin zugreifen.

    php5-mysql ist installiert.

    Weiß jemand Rat?


  • 1
  • jan.wege jan.wege
    T3PO
    0 x
    23 Beiträge
    0 Hilfreiche Beiträge
    25. 10. 2007, 00:26

    Hallo,

    mit ein paar mehr Infos zum System/Server wäre es leichter Dir zu helfen.

    Z.b. liegt nicht in jeder Distribution oder Konfiguration die php.ini unter /etc/php5/apache2/.

    Oder ist evtl php4 UND php5 installiert? Eins mit, das andere ohne mysql-support?
    Wenn du dann z.b. mit vHosts arbeitest und der phpmyadmin "auf" einem anderen liegt, also dein Typo3, kann es sein dass die unterschiedliche php Versionen nutzen.

    Das sind nur ein paar Beispiele, ich hoffe Du verstehst was ich damit meine.

    Grüße!

  • 0 x
    25 Beiträge
    0 Hilfreiche Beiträge
    25. 10. 2007, 14:33

    Hallo,
    als System kommt ein Debian "Etch" zum Einsatz. PHP5 ist installiert:

    dpkg -l bringt folgende installierte Pakete

    ii mysql-client-5.0 5.0.32-7etch1 mysql database client binaries
    ii mysql-common 5.0.32-7etch1 mysql database common files (e.g. /etc/mysql/my.cnf)
    ii mysql-server 5.0.32-7etch1 mysql database server (meta package depending on the latest version)
    ii mysql-server-5.0 5.0.32-7etch1 mysql database server binaries

    ii php5 5.2.0-8+etch5~pu1 server-side, HTML-embedded scripting language (meta-package)
    ii php5-cgi 5.2.0-8+etch5~pu1 server-side, HTML-embedded scripting language (CGI binary)
    ii php5-cli 5.2.0-8+etch5~pu1 command-line interpreter for the php5 scripting language
    ii php5-common 5.2.0-8+etch5~pu1 Common files for packages built from the php5 source
    ii php5-gd 5.2.0-8+etch5~pu1 GD module for php5
    rc php5-imagick 0.9.11+1-4.1 ImageMagick module for php5
    rc php5-mcrypt 5.2.0-8+etch5~pu1 MCrypt module for php5
    ii php5-mysql 5.2.0-8+etch5~pu1 MySQL module for php5
    ii phpmyadmin 2.9.1.1-3 Administrate MySQL over the WWW

    Ich kann auch per Konsole auf den Mysql server zugreifen.

  • contentXXS contentXX...
    Sternenflotten-Admiral
    0 x
    198 Beiträge
    0 Hilfreiche Beiträge
    27. 10. 2007, 22:43

    Hallo,

    ich habe unter Etch php5 als "libapache2-mod-php5" installiet.
    Dann liegt die PHP.INI auch an der von dir genannten Stelle.

    Grüße,

    Ralph

    ii php5-cli 5.2.0-8+etch7 command-line interpreter for the php5 scripting language
    ii php5-common 5.2.0-8+etch7 Common files for packages built from the php5 source
    ii php5-curl 5.2.0-8+etch7 CURL module for php5
    ii php5-dev 5.2.0-8+etch7 Files for PHP5 module development
    ii php5-gd 5.2.0-8+etch7 GD module for php5
    ii php5-imagick 0.9.11+1-4.1 ImageMagick module for php5
    ii php5-imap 5.2.0-8+etch7 IMAP module for php5
    ii php5-ldap 5.2.0-8+etch7 LDAP module for php5
    ii php5-mcrypt 5.2.0-8+etch7 MCrypt module for php5
    ii php5-mhash 5.2.0-8+etch7 MHASH module for php5
    ii php5-ming 0.3.0-11 Ming module for php5
    ii php5-mysql 5.2.0-8+etch7 MySQL module for php5
    ii php5-xsl 5.2.0-8+etch7 XSL module for php5

  • contentXXS contentXX...
    Sternenflotten-Admiral
    0 x
    198 Beiträge
    0 Hilfreiche Beiträge
    27. 10. 2007, 22:47

    Nachtrag:
    Wenn du PHP5 nicht als Apache2 Modul installiert hast, dann ist diese PHP.INI die richtige:

    /etc/php5/cli/php.ini

    HTH,

    Ralph

  • 0 x
    25 Beiträge
    0 Hilfreiche Beiträge
    28. 10. 2007, 11:52

    Ich hab Typo3 nochmal komplett gelöscht, neu runtergeladen und installiert. Jetzt funktioniert es. PHP und MYSQL war scheinbar richtig installiert. Nur Typo3 war irgendwas verbogen.

    Vielen Dank

  • 1